Name:           eg
Version:        0.70
Release:        2%{?dist}
Summary:        Git for mere mortals

Group:          Development/Tools
License:        GPLv2
URL:            http://www.gnome.org/~newren/eg/
Source0:        %{name}-%{version}.tar.gz
# To reproduce, run:
# git clone http://www.gnome.org/~newren/eg/eg.git
# cd eg
# git archive --format=tar --prefix=eg-0.70/ v0.70 | gzip > eg-0.70.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       git


%description
Easy Git (eg) is a wrapper for git, designed to make git easy to learn and use.


%prep
%setup -q

# Filter unwanted Requires:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(the)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_requires}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 eg $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/
install -m 644 bash-completion-eg.sh \
            $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/eg


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/eg

%{_sysconfdir}/bash_completion.d


%changelog
* Thu Apr 17 2008 James Bowes <jbowes@redhat.com> 0.70-2
- Filter out the requires 'perl(the)'

* Thu Apr 17 2008 James Bowes <jbowes@redhat.com> 0.70-1
- Initial packaging for Fedora
